Announcement

#1 2015-11-08 17:37:50

erAck
Member
2015-09-06
126

Bootstrap Default Language Switch can't be activated

Hello/Hi/Greetings,

When having activated the Bootstrap Default theme it complained about incompatible Language Switch plugin being present and to deactivate that and use the Bootstrap Default Language Switch  http://piwigo.org/ext/extension_view.php?eid=797 plugin instead.

After installation of the Bootstrap Default Language Switch trying to activate it fails, just gives

Notice: Undefined offset: 0 in /www/gallery/admin/include/plugins.class.php on line 182

Warning: Cannot modify header information - headers already sent by (output started at /www/gallery/admin/include/plugins.class.php:182) in /www/gallery/include/page_header.php on line 101

and then redirects to the admin plugins page. After that, the plugin is not installed.

Piwigo version: 2.7.4
PHP: 5.6.9
MySQL: 5.5.46

Offline

 

#2 2015-12-10 02:24:29

CIBERIATRIX
Guest

Re: Bootstrap Default Language Switch can't be activated

Similar problem except that in my case the language switch installs except it shows every single country flag across the page header - most ugly - so for the moment this plugin is unusable and so is the original Piwigo language plugin because it is incompatible with Bootstrap and I get a huge pink warning across the page header - ugly as well !

Help please :D

 

#3 2015-12-10 19:08:59

erAck
Member
2015-09-06
126

Re: Bootstrap Default Language Switch can't be activated

CIBERIATRIX wrote:

Similar problem except that in my case the language switch installs except it shows every single country flag across the page header

That happened to me when there was the Language Switch plugin activated, note the difference, it is not the Bootstrap Default Language Switch plugin.

Offline

 

#4 2016-09-25 11:10:55

philb
Member
2014-07-22
30

Re: Bootstrap Default Language Switch can't be activated

The default language switch plugin doesn't work, which is why the theme detects if it's activated and adds the error message on your site.

The bootstrap version should work on 2.7+, although I haven't tested it on 2.7 for a while but it's working fine on my own site running the latest 2.8.

Last edited by philb (2016-09-25 11:11:59)

Offline

 

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2018 · Contact